Breadcrumbs

Metavault API - Get user list

GetUsers - GET

Path

/api/users

Http Method

GET

Overview

NO LICENSE

Get info on a list of users.

Required permissions

  • Global administration privileges. ADMIN

Request

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters. Most notably, the isAdmin filter can be used to filter out admin or non-admin users.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "users": [
      {
        "id": "574ed5eba02d4002966ea8cf586c9afd",
        "email": "my_user@site.fr",
        "name": "My User",
        "creationDate": "2025-07-16T14:21:38.9809487",
        "numberOfGroups": 0,
        "accessRights": {},
        "aggregatedAccessRights": {},
        "isAdmin": true,
        "isRootAdmin": false
      },
      {
        "id": "0cb14c2ce16b483595d688a0332f78d5",
        "email": "my_other_user@site.fr",
        "name": "My other user",
        "creationDate": "2025-06-04T09:34:16.7546485",
        "numberOfGroups": 0,
        "accessRights": {},
        "aggregatedAccessRights": {},
        "isAdmin": false,
        "isRootAdmin": false
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts | Paging, sorting and filters

Field

Type

Description

_embedded.users

array

The list of users. For the fields of one specific user, please see: Metavault API - Create user | Response